Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as meraki from "@pulumi/meraki";
const example = meraki.networks.getSmUsersDeviceProfiles({
networkId: "string",
userId: "string",
});
export const merakiNetworksSmUsersDeviceProfilesExample = example.then(example => example.items);
import pulumi
import pulumi_meraki as meraki
example = meraki.networks.get_sm_users_device_profiles(network_id="string",
user_id="string")
pulumi.export("merakiNetworksSmUsersDeviceProfilesExample", example.items)
package main
import (
"github.com/pulumi/pulumi-meraki/sdk/go/meraki/networks"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
example, err := networks.GetSmUsersDeviceProfiles(ctx, &networks.GetSmUsersDeviceProfilesArgs{
NetworkId: "string",
UserId: "string",
}, nil)
if err != nil {
return err
}
ctx.Export("merakiNetworksSmUsersDeviceProfilesExample", example.Items)
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Meraki = Pulumi.Meraki;
return await Deployment.RunAsync(() =>
{
var example = Meraki.Networks.GetSmUsersDeviceProfiles.Invoke(new()
{
NetworkId = "string",
UserId = "string",
});
return new Dictionary<string, object?>
{
["merakiNetworksSmUsersDeviceProfilesExample"] = example.Apply(getSmUsersDeviceProfilesResult => getSmUsersDeviceProfilesResult.Items),
};
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.meraki.networks.NetworksFunctions;
import com.pulumi.meraki.networks.inputs.GetSmUsersDeviceProfilesArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var example = NetworksFunctions.getSmUsersDeviceProfiles(GetSmUsersDeviceProfilesArgs.builder()
.networkId("string")
.userId("string")
.build());
ctx.export("merakiNetworksSmUsersDeviceProfilesExample", example.items());
}
}
variables:
example:
fn::invoke:
function: meraki:networks:getSmUsersDeviceProfiles
arguments:
networkId: string
userId: string
outputs:
merakiNetworksSmUsersDeviceProfilesExample: ${example.items}
Using getSmUsersDeviceProfiles
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getSmUsersDeviceProfiles(args: GetSmUsersDeviceProfilesArgs, opts?: InvokeOptions): Promise<GetSmUsersDeviceProfilesResult>
function getSmUsersDeviceProfilesOutput(args: GetSmUsersDeviceProfilesOutputArgs, opts?: InvokeOptions): Output<GetSmUsersDeviceProfilesResult>def get_sm_users_device_profiles(network_id: Optional[str] = None,
user_id: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetSmUsersDeviceProfilesResult
def get_sm_users_device_profiles_output(network_id: Optional[pulumi.Input[str]] = None,
user_id: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetSmUsersDeviceProfilesResult]func GetSmUsersDeviceProfiles(ctx *Context, args *GetSmUsersDeviceProfilesArgs, opts ...InvokeOption) (*GetSmUsersDeviceProfilesResult, error)
func GetSmUsersDeviceProfilesOutput(ctx *Context, args *GetSmUsersDeviceProfilesOutputArgs, opts ...InvokeOption) GetSmUsersDeviceProfilesResultOutput> Note: This function is named GetSmUsersDeviceProfiles in the Go SDK.
public static class GetSmUsersDeviceProfiles
{
public static Task<GetSmUsersDeviceProfilesResult> InvokeAsync(GetSmUsersDeviceProfilesArgs args, InvokeOptions? opts = null)
public static Output<GetSmUsersDeviceProfilesResult> Invoke(GetSmUsersDeviceProfilesInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetSmUsersDeviceProfilesResult> getSmUsersDeviceProfiles(GetSmUsersDeviceProfilesArgs args, InvokeOptions options)
public static Output<GetSmUsersDeviceProfilesResult> getSmUsersDeviceProfiles(GetSmUsersDeviceProfilesArgs args, InvokeOptions options)
fn::invoke:
function: meraki:networks/getSmUsersDeviceProfiles:getSmUsersDeviceProfiles
arguments:
# arguments dictionaryThe following arguments are supported:
- network_
id str - networkId path parameter. Network ID
- user_
id str - userId path parameter. User ID
getSmUsersDeviceProfiles Result
The following output properties are available:
- Id string
- The provider-assigned unique ID for this managed resource.
- Items
List<Get
Sm Users Device Profiles Item> - Array of ResponseSmGetNetworkSmUserDeviceProfiles
- Network
Id string - networkId path parameter. Network ID
- User
Id string - userId path parameter. User ID
- Id string
- The provider-assigned unique ID for this managed resource.
- Items
[]Get
Sm Users Device Profiles Item - Array of ResponseSmGetNetworkSmUserDeviceProfiles
- Network
Id string - networkId path parameter. Network ID
- User
Id string - userId path parameter. User ID
- id String
- The provider-assigned unique ID for this managed resource.
- items
List<Get
Sm Users Device Profiles Item> - Array of ResponseSmGetNetworkSmUserDeviceProfiles
- network
Id String - networkId path parameter. Network ID
- user
Id String - userId path parameter. User ID
- id string
- The provider-assigned unique ID for this managed resource.
- items
Get
Sm Users Device Profiles Item[] - Array of ResponseSmGetNetworkSmUserDeviceProfiles
- network
Id string - networkId path parameter. Network ID
- user
Id string - userId path parameter. User ID
- id str
- The provider-assigned unique ID for this managed resource.
- items
Sequence[Get
Sm Users Device Profiles Item] - Array of ResponseSmGetNetworkSmUserDeviceProfiles
- network_
id str - networkId path parameter. Network ID
- user_
id str - userId path parameter. User ID
- id String
- The provider-assigned unique ID for this managed resource.
- items List<Property Map>
- Array of ResponseSmGetNetworkSmUserDeviceProfiles
- network
Id String - networkId path parameter. Network ID
- user
Id String - userId path parameter. User ID
Supporting Types
GetSmUsersDeviceProfilesItem
- Device
Id string - The Meraki managed device Id.
- Id string
- The numerical Meraki Id of the profile.
- Is
Encrypted bool - A boolean indicating if the profile is encrypted.
- Is
Managed bool - Whether or not the profile is managed by Meraki.
- Name string
- The name of the profile.
- Profile
Data string - A string containing a JSON object with the profile data.
- Profile
Identifier string - The identifier of the profile.
- Version string
- The verison of the profile.
- Device
Id string - The Meraki managed device Id.
- Id string
- The numerical Meraki Id of the profile.
- Is
Encrypted bool - A boolean indicating if the profile is encrypted.
- Is
Managed bool - Whether or not the profile is managed by Meraki.
- Name string
- The name of the profile.
- Profile
Data string - A string containing a JSON object with the profile data.
- Profile
Identifier string - The identifier of the profile.
- Version string
- The verison of the profile.
- device
Id String - The Meraki managed device Id.
- id String
- The numerical Meraki Id of the profile.
- is
Encrypted Boolean - A boolean indicating if the profile is encrypted.
- is
Managed Boolean - Whether or not the profile is managed by Meraki.
- name String
- The name of the profile.
- profile
Data String - A string containing a JSON object with the profile data.
- profile
Identifier String - The identifier of the profile.
- version String
- The verison of the profile.
- device
Id string - The Meraki managed device Id.
- id string
- The numerical Meraki Id of the profile.
- is
Encrypted boolean - A boolean indicating if the profile is encrypted.
- is
Managed boolean - Whether or not the profile is managed by Meraki.
- name string
- The name of the profile.
- profile
Data string - A string containing a JSON object with the profile data.
- profile
Identifier string - The identifier of the profile.
- version string
- The verison of the profile.
- device_
id str - The Meraki managed device Id.
- id str
- The numerical Meraki Id of the profile.
- is_
encrypted bool - A boolean indicating if the profile is encrypted.
- is_
managed bool - Whether or not the profile is managed by Meraki.
- name str
- The name of the profile.
- profile_
data str - A string containing a JSON object with the profile data.
- profile_
identifier str - The identifier of the profile.
- version str
- The verison of the profile.
- device
Id String - The Meraki managed device Id.
- id String
- The numerical Meraki Id of the profile.
- is
Encrypted Boolean - A boolean indicating if the profile is encrypted.
- is
Managed Boolean - Whether or not the profile is managed by Meraki.
- name String
- The name of the profile.
- profile
Data String - A string containing a JSON object with the profile data.
- profile
Identifier String - The identifier of the profile.
- version String
- The verison of the profile.
Package Details
- Repository
- meraki pulumi/pulumi-meraki
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
merakiTerraform Provider.
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
